Name:		cdm	
Version:	0.5.3
Release:	9%{?dist}
Summary:	Very minimalistic login manager

Group:		User Interface/X
License:	GPLv2+
URL:		https://github.com/ghost1227/cdm

# git clone https://github.com/ghost1227/cdm.git
# cd cdm && git archive --format=tar --prefix="cdm-0.5.3/" 1df217f0a53df4087ebefa54425298bc752a3ba5 | gzip > cdm-0.5.3.tar.gz
Source0:	%{name}-%{version}.tar.gz
Source1:        cdm.service

Requires:	dialog xorg-x11-xinit xorg-x11-utils ConsoleKit pm-utils
Patch0:		cdm-fedora-default-config.patch
BuildArch:	noarch

%description
CDM is a minimalistic, yet full-featured replacement for login-managers
like slim, kdm, gdm and qingy that provides a fast, dialog-based login
system without the overhead of the X Window System. Written in pure bash.

%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/

install -Dm755 src/cdm $RPM_BUILD_ROOT/%{_bindir}/cdm
install -Dm644 src/zzz-cdm-profile.sh $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/zzz-cdm-profile.sh
install -Dm644 src/cdmrc $RPM_BUILD_ROOT/%{_sysconfdir}/cdmrc
install -m755 src/xinitrc $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/
cp -rf src/themes/* $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/cdm.service

%post
%systemd_post cdm.service

%preun
%systemd_preun cdm.service

%postun
%systemd_postun

%files
%doc COPYING CHANGELOG src/xinitrc.skel
%{_bindir}/cdm
%{_sysconfdir}/profile.d/zzz-cdm-profile.sh
%{_datarootdir}/%{name}/

%config(noreplace) %{_sysconfdir}/cdmrc

%{_unitdir}/cdm.service

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 09 2012 Jaromir Capik <jcapik@redhat.com> - 0.5.3-8
- Minor spec file changes according to the latest guidelines
- Fixing dead URL

* Tue Aug 07 2012 Lennart Poettering <lpoetter@redhat.com> - 0.5.3-7
- Display Manager Rework
- https://fedoraproject.org/wiki/Features/DisplayManagerRework
- https://bugzilla.redhat.com/show_bug.cgi?id=846151

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 22 2011 Mikhail Kulemin <mihkulelin@gmail.com> - 0.5.3-4
- Add xinitrc file
- Add requires 
- Add patch to config for Fedora
- Correct license issues

* Tue Feb 08 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0.5.3-3
- Fix doc files installation
- Minor fixes in spec 

* Mon Feb 07 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0.5.3-2
- First build
- Fix errors in spec
